List the plan library
Every plan a behavior plan on an animal can start from, the active ones first. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
behavior-plan-templates
List the plan library
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/behavior-plan-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-plan-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-plan-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"goal": "<string>",
"phases": [
{
"name": "<string>",
"steps": "<string>"
}
],
"is_active": true,
"species": [
"<string>"
],
"success_measure": "<string>",
"review_every_days": 183,
"starter_key": "<string>",
"sort_order": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List the plan library
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/behavior-plan-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/behavior-plan-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/behavior-plan-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"goal": "<string>",
"phases": [
{
"name": "<string>",
"steps": "<string>"
}
],
"is_active": true,
"species": [
"<string>"
],
"success_measure": "<string>",
"review_every_days": 183,
"starter_key": "<string>",
"sort_order": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
